cgGetParameterProgram(3)

NAME
cgGetParameterProgram - get a parameter's parent program

SYNOPSIS
  #include <Cg/cg.h>
  CGprogram cgGetParameterProgram( CGparameter param );

PARAMETERS

param
    The parameter.

RETURN VALUES
Returns a CGprogram handle to the parent program.

Returns NULL if the parameter is not a child of a program or an error occurs.

DESCRIPTION
cgGetParameterProgram allows the application to retrieve a handle to the program to which a given parameter belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterProgram was introduced in Cg 1.1.

SEE ALSO
the cgCreateProgram manpage, the cgGetParameterEffect manpage